Running Atom on CentOS 6.9 w/o root access


#1

Wanted to switch from Textwrangler(OSx)/NEdit(Centos)/Sublime to Atom for its cross-platform compatibility. Unfortunately can’t get it running on my Work Server which runs on CentOS 6.9. I don not have sudo/root access to install the dependencies.

  1. Tried unpacking the RPM to my user folder using rpm2cio and run from there,but get the following error:
    atom: /usr/lib64/libstdc++.so.6: version GLIBCXX_3.4.15' not found (required by atom) atom: /usr/lib64/libstdc++.so.6: versionGLIBCXX_3.4.14’ not found (required by atom)
    atom: /usr/lib64/libstdc++.so.6: version CXXABI_1.3.5' not found (required by atom) atom: /usr/lib64/libstdc++.so.6: versionGLIBCXX_3.4.14’ not found (required by /home/mizzo/atom-1.24.0-amd64/libnode.so)
    atom: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.15’ not found (required by /home/mizzo/atom-1.24.0-amd64/libnode.so)

  2. Current gcc version is : 4.4.7
    "strings /usr/lib64/libstdc++.so.6 | grep “GLIBC3” gives:
    GLIBCXX_3.4
    GLIBCXX_3.4.1
    GLIBCXX_3.4.2
    GLIBCXX_3.4.3
    GLIBCXX_3.4.4
    GLIBCXX_3.4.5
    GLIBCXX_3.4.6
    GLIBCXX_3.4.7
    GLIBCXX_3.4.8
    GLIBCXX_3.4.9
    GLIBCXX_3.4.10
    GLIBCXX_3.4.11
    GLIBCXX_3.4.12
    GLIBCXX_3.4.13
    GLIBC_2.2.5
    GLIBC_2.3
    GLIBC_2.4
    GLIBC_2.3.2
    GLIBCXX_FORCE_NEW
    GLIBCXX_DEBUG_MESSAGE_LENGTH"

  3. I found another installed libstdc++.so.6 under /xyz/local/lib64 which has from GLIBCXX_3.4.10 -> 3.4.20

  4. Tried running atom after adding the above path to env variable LD_LIBRARY_PATH. The above Dependencies went away but then I got
    "atom: symbol lookup error: atom: undefined symbol: g_bytes_unref"

I am not sure how to proceed from here or whether the above steps were incorrect method at the first place to start with. I shall ask my SysAdmin in the meantime too, but most prob he will say not possible due to just one user request.
I could install a Sublime2 binary just for my user without any Sudo/root privileges and dependency issues. But I would really love to use

Any help/advice will be appreciated.


#2

Hello, I met this issue too, did you resolve it?